commit:     d59e19cdfe36902cae99ce443896ab47ad508cfe
Author:     Conrad Kostecki <conrad <AT> kostecki <DOT> com>
AuthorDate: Sat Oct 20 20:45:09 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Oct 22 20:12:37 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d59e19cd

dev-libs/mini-xml: bump to version 2.12

Also bumped to EAPI=7.

Closes: https://bugs.gentoo.org/668604
Signed-off-by: Conrad Kostecki <conrad <AT> kostecki.com>
Package-Manager: Portage-2.3.51, Repoman-2.3.11
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-libs/mini-xml/Manifest             |  1 +
 dev-libs/mini-xml/mini-xml-2.12.ebuild | 65 ++++++++++++++++++++++++++++++++++
 2 files changed, 66 insertions(+)

diff --git a/dev-libs/mini-xml/Manifest b/dev-libs/mini-xml/Manifest
index 7bc51d65a52..416b138c393 100644
--- a/dev-libs/mini-xml/Manifest
+++ b/dev-libs/mini-xml/Manifest
@@ -1,2 +1,3 @@
 DIST mxml-2.10.tar.gz 265398 BLAKE2B 
eb3edec5615d727dec9285e2b74f4c877e8332be8f8183483e85a91d92ca1f48e5fc6d06afa3650c133c9762998abfdc8e846a9961ce55251d0c5bbcba0a970f
 SHA512 
c3838611979c4228df476166e4e987fc1ff8f9b8bd30139066b475dcd99e25be81ecc5171235bc80b1c2291c9d78c9ceae9a1dfc928272a983740d6a67372f5c
 DIST mxml-2.11.tar.gz 9164003 BLAKE2B 
d124b7d779e7ea9609a91b823fe7f6b45ab4049e79eb72729ca2ffec93a83479d5fed1ef21efc76881a11de58be71b1f3de79fc3e4f07c26f35d3f68e25c017b
 SHA512 
046421f91eea16f0ca99fbf611891c367ea9c3c54d04080d08acf108d7749ad9bbf2f4b3ef234a5130f00f77618196e2c5a245f32230daf645c1f775e961d378
+DIST mxml-2.12.tar.gz 9112072 BLAKE2B 
29e63abdd567c76209ca41adf608bd752863cdb2911d5bda482a2c6ac50ccdae2179941a3899d7e58480bab8903fee8a6c431619072d2861acd01f18d0eeb9e5
 SHA512 
49233a0087f3ef73a01ef71bb79511af36bb72027e3d9f6df919385e9ff0b03a489a3ccc590941bc4af1f558f82b2ed9bf8ff641863300a7791ce6dddfd56e77

diff --git a/dev-libs/mini-xml/mini-xml-2.12.ebuild 
b/dev-libs/mini-xml/mini-xml-2.12.ebuild
new file mode 100644
index 00000000000..955dcacc9ee
--- /dev/null
+++ b/dev-libs/mini-xml/mini-xml-2.12.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+inherit autotools
+
+MY_PN="mxml"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="A small XML parsing library that you can use to read XML data 
files or strings"
+HOMEPAGE="https://github.com/michaelrsweet/mxml
+       https://www.msweet.org/mxml/";
+SRC_URI="https://github.com/michaelrsweet/${MY_PN}/archive/v${PV}.tar.gz -> 
${MY_P}.tar.gz"
+
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+LICENSE="Mini-XML"
+SLOT="0"
+IUSE="static-libs threads"
+
+BDEPEND="virtual/pkgconfig"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+       default
+
+       # Respect users CFLAGS
+       sed -e 's/-Os -g//' -i configure.ac || die
+
+       # Don't run always tests
+       # Enable verbose compiling
+       sed -e '/ALLTARGETS/s/testmxml//g' -e '/.SILENT:/d' -i Makefile.in || 
die
+
+       # Build only static-libs, when requested by user, also build docs 
without static-libs in that case
+       if ! use static-libs; then
+               local mysedopts=(
+                       -e '/^install:/s/install-libmxml.a//g'
+                       -e '/^mxml.xml:/s/-static//g'
+                       -e '/^mxml.epub:/s/-static//g'
+                       -e '/^valgrind/s/-static//g'
+                       -e 's/.\/mxmldoc-static/LD_LIBRARY_PATH="." 
.\/mxmldoc/g'
+               )
+               sed "${mysedopts[@]}" -i Makefile.in || die
+       fi
+
+       eautoconf
+}
+
+src_configure() {
+       local myeconfopts=(
+               $(use_enable threads)
+               --with-docdir=/usr/share/doc/${PF}
+       )
+
+       econf "${myeconfopts[@]}"
+}
+
+src_test() {
+       emake testmxml
+}
+
+src_install() {
+       emake DSTROOT="${ED}" install
+}

Reply via email to